<%@page import="com.liferay.portal.kernel.dao.search.SearchContainer"%>
<%@page import="com.liferay.portal.service.persistence.UserUtil"%>
<%@page import="javax.portlet.PortletRequest"%>
<%@page import="com.liferay.portal.service.ServiceContextFactory"%>
<%@page import="com.liferay.portal.service.ServiceContext"%>
<%@ include file="/jsp/init.jsp" %>

<%@ include file="/jsp/admin/includes/menu-lateral-principal.jspf" %>

<liferay-portlet:renderURL var="viewURL">
	<liferay-portlet:param name="admin" value="true"/>
	<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/painel.jsp"/>
</liferay-portlet:renderURL>

<liferay-portlet:renderURL var="pesquisaURL">
	<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/painel.jsp"/>
	<liferay-portlet:param name="acao" value="pesquisar"/>
</liferay-portlet:renderURL>


<div class="span10 context-pane">
	<div>

		
		<liferay-ui:success key="mensagem.sucesso-aprovar" message="mensagem.sucesso-aprovar"/>
		<liferay-ui:success key="mensagem.sucesso-reprovar" message="mensagem.sucesso-reprovar"/>
		<liferay-ui:success key="mensagem.sucesso-cancelar" message="mensagem.sucesso-cancelar"/>
		<liferay-ui:error key="mensagem.erro-workflow" message="mensagem.erro-workflow"/>
		<liferay-ui:header title="mensagem.painel.controle"/>
		
		
<%
	String orderByCol = ParamUtil.getString(request, "orderByCol");
	String orderByType = ParamUtil.getString(request, "orderByType");
	String sortingOrder = orderByType;
	
	if(orderByType.equals("desc")){
	    orderByType = "asc";
	}else{
	    orderByType = "desc";
	}
	
	PortletURL portletURL = renderResponse.createRenderURL();
	
	String tituloParam = "";
	String conteudoParam = "";
	String solicitanteParam = "";
	String codigoParam = "";
	String statusParam = "";
	String criadoPorMimParam = "";
	String dataSolicitacaoParam = "";
	String dataAgendamentoParam = "";
	
	if (!"".equals(ParamUtil.getString(request, "tituloMensagemSearch"))){
		tituloParam = ParamUtil.getString(request, "tituloMensagemSearch");
	} else if (!"".equals(ParamUtil.getString(request, "titulo")) && "".equals(ParamUtil.getString(request, "operacao"))){
		tituloParam = ParamUtil.getString(request, "titulo");
	}
	
	if (!"".equals(ParamUtil.getString(request, "conteudoMensagemSearch"))){
		conteudoParam = ParamUtil.getString(request, "conteudoMensagemSearch");
	} else if (!"".equals(ParamUtil.getString(request, "conteudo")) && "".equals(ParamUtil.getString(request, "operacao"))){
		conteudoParam = ParamUtil.getString(request, "conteudo");
	}
	
	if (!"".equals(ParamUtil.getString(request, "solicitanteMensagemSearch"))){
		solicitanteParam = ParamUtil.getString(request, "solicitanteMensagemSearch");
	} else if (!"".equals(ParamUtil.getString(request, "solicitante")) && "".equals(ParamUtil.getString(request, "operacao"))){
		solicitanteParam = ParamUtil.getString(request, "solicitante");
	}
	
	if (!"".equals(ParamUtil.getString(request, "codigoMensagemSearch"))){
		codigoParam = ParamUtil.getString(request, "codigoMensagemSearch");
	} else if (!"".equals(ParamUtil.getString(request, "codigoMensagem")) && "".equals(ParamUtil.getString(request, "operacao"))){
		codigoParam = ParamUtil.getString(request, "codigoMensagem");
	}
	
	if (!"".equals(ParamUtil.getString(request, "statusMensagemSearch"))){
		statusParam = ParamUtil.getString(request, "statusMensagemSearch");
	} else if (!"".equals(ParamUtil.getString(request, "statusMensagem")) && "".equals(ParamUtil.getString(request, "operacao"))){
		statusParam = ParamUtil.getString(request, "statusMensagem");
	}
	
	if (!"".equals(ParamUtil.getString(request, "criadaPorMimSearch"))){
		criadoPorMimParam = ParamUtil.getString(request, "criadaPorMimSearch");
	} else if (!"".equals(ParamUtil.getString(request, "criadoPorMim")) && "".equals(ParamUtil.getString(request, "operacao"))){
		criadoPorMimParam = ParamUtil.getString(request, "criadoPorMim");
	}
	
	if (!"".equals(ParamUtil.getString(request, "dataSolicitacaoSearch"))){
		dataSolicitacaoParam = ParamUtil.getString(request, "dataSolicitacaoSearch");
	} else if (!"".equals(ParamUtil.getString(request, "dataSolicitacao")) && "".equals(ParamUtil.getString(request, "operacao"))){
		dataSolicitacaoParam = ParamUtil.getString(request, "dataSolicitacao");
	}
	
	if (!"".equals(ParamUtil.getString(request, "dataAgendamentoSearch"))){
		dataAgendamentoParam = ParamUtil.getString(request, "dataAgendamentoSearch");
	} else if (!"".equals(ParamUtil.getString(request, "dataAgendamento")) && "".equals(ParamUtil.getString(request, "operacao"))){
		dataAgendamentoParam = ParamUtil.getString(request, "dataAgendamento");
	}
	
	portletURL.setParameter("titulo", tituloParam);
	portletURL.setParameter("conteudo", conteudoParam);
	portletURL.setParameter("solicitante", solicitanteParam);
	portletURL.setParameter("codigoMensagem", codigoParam);
	portletURL.setParameter("statusMensagem", statusParam);
	portletURL.setParameter("criadoPorMim", criadoPorMimParam);
	portletURL.setParameter("dataSolicitacao", dataSolicitacaoParam);
	portletURL.setParameter("dataAgendamento", dataAgendamentoParam);
	
	portletURL.setParameter("mvcPath", "/jsp/admin/mensagem/painel.jsp");
	
	portletURL.setParameter("redirect", viewURL);
	 
	Calendar c = Calendar.getInstance();
	c.setTime(new Date());
	int day = c.get(Calendar.DAY_OF_MONTH);
	int month = c.get(Calendar.MONTH);
	int year = c.get(Calendar.YEAR);
	int hourOfDay = c.get(Calendar.HOUR_OF_DAY);
	int minute = c.get(Calendar.MINUTE);
	ServiceContext serviceContext = ServiceContextFactory.getInstance(request);
	long userId = serviceContext.getUserId();
	//long roleId = WorkflowUtil.getWorkflowRoleId(renderRequest);
	//boolean papelAprovador = UserLocalServiceUtil.hasRoleUsers(roleId);
	boolean papelAprovador = WorkflowUtil.isAprovador(renderRequest);
	
%>

<div class="formulario-mensagem-dados">

<liferay-ui:search-container
	emptyResultsMessage="mensagem.painel.lista.vazia"
    deltaConfigurable="false"
    orderByType="<%=orderByType%>"
    iteratorURL="<%=portletURL%>">
    
    <aui:form name="fmSearchMensagem" cssClass="search-terms mensagem-campos-busca" action="#">
    
                <input type="hidden" name="operacao"  id="operacao" value="pesquisa"/>     
    
				<aui:input name="tituloMensagemSearch" 
					value="${param.titulo}" 
					type="text" 
					inlineField="false" 
					inlineLabel="left"
					label="mensagem.painel.titulo"
					wrapperCssClass="label-mensagem-dados"
					cssClass="span7"/>		
					
				<aui:input name="conteudoMensagemSearch" 
					value="${param.conteudo}" 
					type="text" 
					inlineField="false" 
					inlineLabel="left"
					label="mensagem.painel.conteudo"
					wrapperCssClass="label-mensagem-dados"
					cssClass="span7"/>			
					
				<aui:input name="solicitanteMensagemSearch" 
					value="${param.solicitante}" 
					type="text" 
					inlineField="false" 
					inlineLabel="left"
					label="mensagem.painel.solicitante"
					wrapperCssClass="label-mensagem-dados"
					cssClass="span7"/>			
						
		
				<aui:input name="codigoMensagemSearch" 
					type="text" 
					inlineField="false" 
					inlineLabel="left"
					label="mensagem.painel.codigo"
					wrapperCssClass="label-mensagem-dados"
					cssClass="span4"/>
					
				<div class="label-mensagem-dados">
					<aui:select name="statusMensagemSearch" 
	                    value="${param.statusParam}" 
	                    inlineField="false" 
	                    inlineLabel="left"
	                    label="mensagem.painel.status"
	                    showEmptyOption="true"
	                    cssClass="span4">
	                    <%
	                        List<StatusWorkflowEnum> listStatusWorkflow = WorkflowUtil.listaStatusParaFiltroPainel();
	                        if (listStatusWorkflow != null) {
	                    %>
		                    <c:forEach var="statusWorkflow" items="<%=listStatusWorkflow%>">
		                        <aui:option value="${statusWorkflow.status}">${statusWorkflow.descricao}</aui:option>
		                    </c:forEach>
	                    <%
	                        }
	                    %>
	                </aui:select>
				</div>
                    
                <div>
                	<% if ("true".equals(criadoPorMimParam)) { %>
            			<aui:input name="criadaPorMimSearch"  checked="true" label="mensagem.painel.criadas" type="checkbox" inlineField="true"  inlineLabel="left"/>
                	<%} else { %>
                		<aui:input name="criadaPorMimSearch"  checked="false" label="mensagem.painel.criadas" type="checkbox" inlineField="true"  inlineLabel="left"/>
                	<%} %>
					<div class="clearfix"></div>
				</div>
				
				<liferay-ui:message key="mensagem.painel.datasolicitacao"/><br />
				<liferay-ui:input-date  name="dataSolicitacaoSearch" nullable="true" cssClass="calendario" yearValue="<%=year%>" monthValue="<%=month%>" dayValue="<%=day%>" dayParam="d1" monthParam="m1" yearParam="y1"/>
				
				<br /><br />
				
                <liferay-ui:message key="mensagem.painel.dataagendada"/><br />
                <liferay-ui:input-date name="dataAgendamentoSearch" nullable="true" cssClass="calendario" yearValue="<%=year%>" monthValue="<%=month%>" dayValue="<%=day%>" dayParam="d1" monthParam="m1" yearParam="y1"/>

			<aui:button-row>
				<aui:button cssClass="btn-primary" type="button" value="search" onClick="pesquisar();"/>&nbsp;
				<aui:button type="cancel" value="Limpar" onClick="limparFormulario();"/>
			</aui:button-row>
					
		 <liferay-ui:search-container-results>
			<%
				Map<Integer , List<Mensagem>> retorno = MensagemSearch.pesquisar(renderRequest, themeDisplay.getCompanyId(),
						searchContainer.getStart() , searchContainer.getEnd() ,  ParamUtil.getString(request, "orderByCol"));
				java.util.Map.Entry entry  = retorno.entrySet().iterator().next();	
				List<Mensagem> lista = (List<Mensagem>) entry.getValue();
				pageContext.setAttribute("results", lista);
				pageContext.setAttribute("total", entry.getKey());
				
			%>        														
		</liferay-ui:search-container-results>
		
		<liferay-ui:search-container-row
        className="br.mp.mprj.portal.portlet.gestaomensagens.service.model.Mensagem"
        escapedModel="true"
        keyProperty="mensagemId"
        modelVar="mensagem"
        rowIdProperty="mensagemId">
         	  
         	   <liferay-portlet:renderURL varImpl="rowURL" windowState="<%=LiferayWindowState.POP_UP.toString()%>">
				<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/mensagem-popup.jsp"/>
				<liferay-portlet:param name="mensagemId" value="<%= String.valueOf(mensagem.getMensagemId()) %>" />
			  </liferay-portlet:renderURL>
         	  
      		  <liferay-portlet:renderURL varImpl="workFlowUrlAprovar">
                <liferay-portlet:param name="mensagemId" value="<%= String.valueOf(mensagem.getMensagemId()) %>" />
				<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/painel-aprovacao.jsp"/>
              </liferay-portlet:renderURL>
              
              <liferay-portlet:renderURL varImpl="workFlowUrlRevisar">
                <liferay-portlet:param name="mensagemId" value="<%= String.valueOf(mensagem.getMensagemId()) %>" />
				<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/formulario.jsp"/>
				<liferay-portlet:param name="wizard" value="true"/>
				<liferay-portlet:param name="passoAtual" value="2"/>
				<liferay-portlet:param name="exibirProximoPasso" value="true"/>
				<liferay-portlet:param name="rascunho" value="false"/>
				<liferay-portlet:param name="revisao" value="true"/>
              </liferay-portlet:renderURL>
              
              
              <liferay-portlet:renderURL varImpl="workFlowUrlClonar">
                <liferay-portlet:param name="mensagemId" value="<%= String.valueOf(mensagem.getMensagemId()) %>" />
				<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/formulario.jsp"/>
				<liferay-portlet:param name="wizard" value="true"/>
				<liferay-portlet:param name="passoAtual" value="2"/>
				<liferay-portlet:param name="exibirProximoPasso" value="true"/>
				<liferay-portlet:param name="rascunho" value="false"/>
				<liferay-portlet:param name="clonar" value="true"/>
              </liferay-portlet:renderURL>
              
              <liferay-portlet:renderURL varImpl="workFlowUrlEditar">
                <liferay-portlet:param name="mensagemId" value="<%= String.valueOf(mensagem.getMensagemId()) %>" />
				<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/formulario.jsp"/>
				<liferay-portlet:param name="wizard" value="true"/>
				<liferay-portlet:param name="edicao" value="true"/>	
				<liferay-portlet:param name="exibirProximoPasso" value="true"/>
              </liferay-portlet:renderURL>
           	
           	 <liferay-portlet:actionURL varImpl="workFlowUrlCancelar">
          		 <liferay-portlet:param name="<%= ActionRequest.ACTION_NAME %>" value='MensagemWorkFlow'/>
          		<liferay-portlet:param name="redirect" value="${pesquisaURL}" />
                <liferay-portlet:param name="mensagemId" value="<%= String.valueOf(mensagem.getMensagemId()) %>" />
				<liferay-portlet:param name="mvcPath" value="/jsp/admin/mensagem/painel.jsp"/>
				<liferay-portlet:param name="acao" value="cancel"/>
           	 </liferay-portlet:actionURL>
           	 
           	 <%
           	 	Mensagem dataMessage = MensagemLocalServiceUtil.getMensagem(mensagem.getMensagemId());
           	 %>
        
          	 <c:set var="dataSolicitacao">
        		<fmt:formatDate pattern='dd/MM/yyyy HH:mm:ss' value='<%=dataMessage.getDataSolicitacao()%>'/>
      	 	 </c:set>
      	 	 
      	 	 <c:set var="dataUltimoEnvio">
        		<fmt:formatDate pattern='dd/MM/yyyy HH:mm:ss' value='<%=dataMessage.getDataUltimoEnvio()%>'/>
      	 	 </c:set>
		
			<liferay-ui:search-container-column-text
           	 	name="createDate"
            	value="${dataSolicitacao}"
            	cssClass="tabela-td-center"
    	    />

        	<liferay-ui:search-container-column-text
            	name="mensagem.painel.dataenvio"
            	value="${dataUltimoEnvio}"
            	cssClass="tabela-td-center"
        	/>
        	
        	<liferay-ui:search-container-column-text
            	name="status_workflow_sortable"
            	orderableProperty="status_workflow_sortable"
            	orderable="true"
            	property="descricaoStatus"
            	cssClass="tabela-td-center"
        	/>
        	 <%if (dataMessage.getSituacaoEnvio() == 1){%>
        	 	<c:set var="checked" value="&#10004;"></c:set>
        	 <%} else {%> 
        	 	<c:set var="checked" value=""></c:set>
        	 <%}%>
        	
        		<liferay-ui:search-container-column-text
            	name="Enviada"
            	value="${checked}"
            	cssClass="tabela-td-center"
        	/>
       
        	
        	<liferay-ui:search-container-column-text
            	name="mensagem.painel.codigo.mensagem"
            	property="codigoMensagem"
            	cssClass="tabela-td-center"
        	/>
        	
        	<%
        	    boolean criadorCancelador = dataMessage.getUserIdCriador() == dataMessage.getUserIdCancel();
        	    boolean cancelada = dataMessage.getStatusWorkflow() == StatusWorkflowEnum.CANCELADO.getStatus();
        	    boolean aprovada = dataMessage.getStatusWorkflow() == StatusWorkflowEnum.APROVADO.getStatus();
       	    	UserVO userVO = UserSearch.pesquisarUsuario(renderRequest, dataMessage.getUserIdCriador());
       	    	String solicitante = dataMessage.getNomeSolicitante();
        	    String aprovador = "";
        	    String cancelador = "";
        	    SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy \'&agrave;s\' HH:mm");
        	    Date dataCancel = dataMessage.getDataCancel();
        	    String dtCancel = "";
        	    String dtApproved = "";
        	    if (dataCancel != null) {
        	    	dtCancel = sdf.format(dataCancel);
        	    } else {
        	    	dtCancel = "xx/xx/xxxx";
        	    }
        	    if (cancelada && !criadorCancelador) {
        	    	
        	    	if (dataMessage.getUserIdCancel() > 0){
        	    	 	userVO = UserSearch.pesquisarUsuario(renderRequest, dataMessage.getUserIdCancel());
            	    	cancelador = userVO.getFullName();
        	    	} else {
        	    		cancelador = "Desconhecido";
        	    	}
        	    }
        	    if (aprovada && dataMessage.getUserIdWorkflow() > 0) {
        	    	
					if (dataMessage.getUserIdAprovador() > 0){
					 	userVO = UserSearch.pesquisarUsuario(renderRequest, dataMessage.getUserIdAprovador());
	        	    	aprovador = userVO.getFullName();
					} else {
						aprovador = "Desconhecido";
					}
					
					if (dataMessage.getDataStatusWorkflow() != null){
						dtApproved = sdf.format(dataMessage.getDataStatusWorkflow());
					} else {
						dtApproved = "xx/xx/xxxx";
					}
        	   
        	    } if (aprovada && dataMessage.getUserIdWorkflow() == 0) {
        	    	aprovada = false;
        	    }
        		String uri = "javascript:exibirMensagemPopup('" + rowURL.toString()+"', '" + dataMessage.getCodigoMensagem() + "', " + criadorCancelador + ", " + cancelada + ", '" + cancelador + "', '" + dtCancel + "', " + aprovada + ", '" + aprovador + "', '" + dtApproved + "');";
        	%>
        	
        	<liferay-ui:search-container-column-text
                name="Solicitante"
                value="<%=solicitante%>"
                cssClass="tabela-td-center"
            />
        	
        	<liferay-ui:search-container-column-text
        		href="<%=uri%>"
            	name="assunto_sortable"
            	orderableProperty="assunto_sortable"
            	property="assunto"
            	orderable="true"
            	cssClass="tabela-td-center"
        	/>
        	
        	<liferay-ui:search-container-column-text name="table.header.acoes" align="center" cssClass="tabela-td-center">
        	        <!--
        	        <span>ativo=<%=dataMessage.getAtivo()%></span>
        	        <span>status=<%=dataMessage.getStatusWorkflow()%></span>
        	        <span>criador?<%=dataMessage.getUserIdCriador() == userId%></span>
        	        <span>aprovador?<%=papelAprovador%></span>
        	        -->
        			
        			<% if (!dataMessage.getService() && dataMessage.getAtivo() && dataMessage.getStatusWorkflow() == StatusWorkflowEnum.PENDENTE_APROVACAO.getStatus()
        						       && papelAprovador) { %>
        				<liferay-ui:icon image="edit" url="<%= workFlowUrlAprovar.toString() %>" label="Aprovar" message="Alterar Status"/>&nbsp;
        			<% } %>
        			
        			<% if (!dataMessage.getService() && dataMessage.getAtivo() && (dataMessage.getStatusWorkflow() == StatusWorkflowEnum.PENDENTE_REVISAO.getStatus()
        						       || dataMessage.getStatusWorkflow() == StatusWorkflowEnum.REPROVADO.getStatus() )
        						       && dataMessage.getUserIdCriador() == userId) { %>
        				<liferay-ui:icon image="edit" url="<%= workFlowUrlRevisar.toString() %>" label="Revisar" message="Revisar"/>&nbsp;
        			<% }
        			
        			   if (!dataMessage.getService() && dataMessage.getAtivo() && dataMessage.getStatusWorkflow() == StatusWorkflowEnum.APROVADO.getStatus()
        							   && dataMessage.getUserIdCriador() == userId) { %>
        				<c:set var="msgConfirmacao">
        				    <liferay-ui:message key="mensagem.aviso-alteracao" />
        				</c:set>
        				<liferay-ui:icon image="edit" onClick="javascript:if (!confirm('${msgConfirmacao}')) {this.href='#'};" url="<%= workFlowUrlClonar.toString() %>" label="Alterar mensagem" message="Alterar mensagem"/>&nbsp;
        			<% }

        			   if (dataMessage.getAtivo() && (dataMessage.getUserIdCriador() == userId || papelAprovador)
        							   && (dataMessage.getStatusWorkflow() == StatusWorkflowEnum.APROVADO.getStatus()
        							   || dataMessage.getStatusWorkflow() == StatusWorkflowEnum.PENDENTE_REVISAO.getStatus()
        							   || dataMessage.getStatusWorkflow() == StatusWorkflowEnum.PENDENTE_APROVACAO.getStatus())) { 
        			
        				if (!dataMessage.getService()){%>
				        <liferay-ui:icon-delete confirmation="mensagem.aviso-cancelamento" url="<%= workFlowUrlCancelar.toString() %>" label="Cancelar" message="Cancelar"/>
				
				    <% }} %>
				    
        	</liferay-ui:search-container-column-text>
        	
        	</liferay-ui:search-container-row>
        	
        	 <liferay-ui:search-iterator />
        	 
       </aui:form> 	 
    
    </liferay-ui:search-container>
	</div>
</div>
</div>


		
<aui:script use="node, liferay-search-container">


Liferay.provide(
        window,
        'exibirMensagemPopup',
        function(url, codigoMensagem ,criadorCancelador, cancelada, cancelador, dataCancel, aprovada, aprovador, dataApproved) {
            var titulo = 'Mensagem';
            if (cancelada) {
            	titulo = "<span style='color:#396CB4;font-family:Verdana;font-size:12.0pt;'>Mensagem #" + codigoMensagem + " cancelada pelo ";
                if (criadorCancelador) {
                	titulo += "Solicitante";
                } else {
                	titulo += "Aprovador (" + cancelador + ")";
                }
                if (dataCancel.length > 0) {
	                titulo += " em " + dataCancel;
                }
                titulo += "</span>";
            } else if (aprovada) {
            	titulo = "<span style='color:#396CB4;font-family:Verdana;font-size:12.0pt;'>Mensagem #" + codigoMensagem + " aprovada por ";
                titulo += aprovador;
                if (dataApproved.length > 0) {
                    titulo += " em " + dataApproved;
                }
                titulo += "</span>";
            }
            Liferay.Util.openWindow({ 
       	     dialog: { 
       	    		 width:800,
       	             centered: true, 
       	             modal: true
       	             }, 
       	     id: 'dialogMensagem', 
       	     title: titulo,
       	     uri: url
            });
        }
);

Liferay.provide(
        window,
        'pesquisar',
        function() {

        	window.scroll(0,0); 
        	var dataSolicitacao = A.one('#<portlet:namespace />dataSolicitacaoSearch');
        	var dataAgendamento = A.one('#<portlet:namespace />dataAgendamentoSearch');

        	if (dataSolicitacao.val() == ""){
        		dataSolicitacao.val("01/01/2000");
            }

        	if (dataAgendamento.val() == ""){
                dataAgendamento.val("01/01/2000");
            }
            
            submitForm(document.<portlet:namespace/>fmSearchMensagem);
        }
);

Liferay.provide(
		window,
		'limparFormulario',
		function() {
			location.href = "${viewURL}";
		}
	);	

Liferay.provide(
		window,
		'loadConfigs',
		function() {
			 var dataSolicitacaoSearch = A.one('#<portlet:namespace />dataSolicitacaoSearch');
			 if (dataSolicitacaoSearch.val() == '01/01/2000'){
				 dataSolicitacaoSearch.val("");
			 }

			 var statusMensagemSearch = A.one('#<portlet:namespace />statusMensagemSearch');

			 var dataAgendamentoSearch = A.one('#<portlet:namespace />dataAgendamentoSearch');
             if (dataAgendamentoSearch.val() == '01/01/2000'){
                 dataAgendamentoSearch.val("");
             }

             <%if (!"".equals(dataAgendamentoParam) && !"01/01/2000".equals(dataAgendamentoParam)){%>
             dataAgendamentoSearch.val("<%=dataAgendamentoParam%>");
             <%} %>

             <%if (!"".equals(dataSolicitacaoParam) && !"01/01/2000".equals(dataSolicitacaoParam)){%>
             dataSolicitacaoSearch.val("<%=dataSolicitacaoParam%>");
         	 <%} %>

             <%if (!"".equals(statusParam)){%>
            	 statusMensagemSearch.val("<%=statusParam%>");
         	 <%} %>
		}
);			


loadConfigs();

</aui:script>


<script type="text/javascript">
	$('.table-cell.tabela-td-center.last').width(50);
	$('.lfr-pagination-delta-selector').hide();
	$('.table-sort-liner').children().attr('href', $('.table-sort-liner').children().attr('href').replace('_portletgestaomensagens_WAR_portletgestaomensagens_cur=' , '_portletgestaomensagens_WAR_portletgestaomensagens_cur=1&R=' ));
	document.getElementById("<portlet:namespace />tituloMensagemSearch").focus();
</script>